@echo off
echo off
REM MANUAL.BAT REV 2.57 - 2-disk. Modified by Product Support - DA 3/07/95
REM MANUAL.BAT MUST BE COPIED TO BOTH DISKS. FAILURE TO DO SO WILL PREVENT
REM THE ADDED CHANGES TO TAKE EFFECT!!!
 
if "%debug%" == "yes" echo on
set BDRV=C:
	if "%1" == ""   goto syntax
	if "%2" == ""   goto defwin
	if "%2" == "-"  goto nowin
	if "%3" == "g"  set BDRV=G: 
	if "%3" == "f"  set BDRV=F: 
	if "%3" == "e"  set BDRV=E:
	if "%3" == "d"  set BDRV=D:
	if "%3" == "c"  set BDRV=C:
	if "%3" == "G"  set BDRV=G: 
	if "%3" == "F"  set BDRV=F: 
	if "%3" == "E"  set BDRV=E:
	if "%3" == "D"  set BDRV=D:
	if "%3" == "C"  set BDRV=C:

 :windir
	if not exist %2\nul             goto badwindir
	if not exist %2\win.com         goto badwindir
	if not exist %2\system\nul      goto badwindir

	if not exist %1\nul                     goto mkinstalldir
	 echo Warning: the directory '%1' exists.
	 echo This program will now abort.
	 echo Delete all files in the '%1' directory, remove the  
	 echo '%1' directory and re-run this batch file.
	 goto exit
	 
 :mkinstalldir
	mkdir %1
	if not exist %1\nul                     goto badinstalldir
	
	echo This program version 2.57(tdv) will copy the Media Vision software into
	echo the directory "%1", then copy the Windows files to "%2".
	echo.
	echo If this is not correct, press CONTROL-C now, else
	pause

 :windir1
	if exist medvsn.1       goto dowindir
	echo Please put Disk #1 in the drive... 
	echo 
	pause
	if not exist medvsn.1  
:windir12
	if exist medvsn.1       goto dowindir
	echo Please copy MANUAL.BAT onto BOTH of the installation disks.
	echo Then change to the floppy drive and run MANUAL.BAT         
	echo Press Ctrl-C to exit.
	echo OR
	pause
	if not exist medvsn.1   goto windir12

 :dowindir
	copy compress.exe %1
	copy SETUP.EXE %1\WINUNINS.EXE 
	copy %2\system\midimap.cfg %2\system\midimap.mvi  

	%1\compress medvsn.1 %1\*.*                     -o -d
	%1\compress medvsn.1 %2\system\*.*      DLL     -o -d
	%1\compress medvsn.1 %2\*.*             INI     -o -d
	%1\compress medvsn.1 %1\diag\*.*        DIAG    -o -d
	%1\compress medvsn.1 %1\msoftrs\*.*     MSOFTRS -o -d
	%1\compress medvsn.1 %1\msoftsi\*.*     MSOFTSI -o -d
	
 :windir2

	echo Please put Disk #2 in the drive...
	pause
	if not exist medvsn.2   goto windir2

	%1\compress medvsn.2 %1\*.*                     -o -d
	%1\compress medvsn.2 %2\system\*.*      DLL     -o -d
	%1\compress medvsn.2 %2\*.*             INI     -o -d
	%1\compress medvsn.2 %1\diag\*.*        DIAG    -o -d
	%1\compress medvsn.2 %1\msoftrs\*.*     MSOFTRS -o -d
	%1\compress medvsn.2 %1\msoftsi\*.*     MSOFTSI -o -d

	echo Editing CONFIG.SYS and AUTOEXEC.BAT...

	echo [common]>> %BDRV%\config.sys
	%1\sedit -wnC %BDRV%\ config.sys DEVICE=+PROS "%1\PROS.SYS A220 I5 D1 H5 P320 Q2 V" s
	%1\sedit -wqnC %BDRV%\ config.sys DEVICE=+MINI406A "=%1\MINI406A.SYS /IO=230" replace
	%1\sedit -wqnC %BDRV%\ config.sys DEVICE=+CDROM "%1\CDROM.SYS /D:MVCD005" s

	%1\sedit -wnB %BDRV%\ autoexec.bat rem+VBEAI  "rem %1\VBEAI.COM"  modify
	%1\sedit -wqnB %BDRV%\ autoexec.bat set+blaster "SET BLASTER=A220 I5 D1 H5 P320 Q2 T4"  modify
	%1\sedit -wqnB %BDRV%\ autoexec.bat MSCDEX  "%1\MSCDEX.EXE /D:MVCD005 /M:0"  modify
	%1\sedit -wqnB %BDRV%\ autoexec.bat path ";%1" replace 

	echo Completed!
	echo The software has been copied and the system files updated.
	echo CONFIG.SYS and AUTOEXEC.BAT were updated, the previous versions
	echo were saved as CONFIG.### and AUTOEXEC.### (### from 000 to 999),
	echo the largest ### indicating the most recent version.
	echo.
	
	echo Editing SYSTEM.INI...

	%1\sedit -wnI %2 system.ini drivers wave mviwave.drv      s
	%1\sedit -wnqI %2 system.ini drivers mixer mvi508mx.drv    s
	%1\sedit -wnqI %2 system.ini drivers midi mvifm.drv        s
	%1\sedit -wnqI %2 system.ini drivers midi1 mvi401.drv    s
	%1\sedit -wnqI %2 system.ini 386Enh DEVICE=+vmvid.386 vmvid.386  s
	%1\sedit -wnqI %2 system.ini mci cdaudio mcicda.drv        s
	%1\sedit -wnqI %2 system.ini 386Enh dmabuffersize 064      s
	%1\sedit -wnqI %2 system.ini mviwave.drv   port 220        s
	%1\sedit -wnqI %2 system.ini mviwave.drv   int 5   s
	%1\sedit -wnqI %2 system.ini mviwave.drv   dmachannel 1    s
	%1\sedit -wnqI %2 system.ini mviwave.drv   dmachannel2 5   s
	%1\sedit -wnqI %2 system.ini boot drivers "mmsystem.dll msmixmgr.dll mmmixer.dll" s
	%1\sedit -wnqI %2 system.ini mvi401.drv int  2     s
	%1\sedit -wnqI %2 system.ini mvi401.drv port 320   s
	
	echo Editing AUDIO.INI and MIDISOFT.INI
	
	%1\sedit -wnqI %2 midisoft.ini SetupInfo SE_SetupPath %1\MSOFTRS replace
	%1\sedit -wnqI %2 midisoft.ini SetupInfo SE_LastRunFrom %1\MSOFTRS\Session.exe replace
	%1\sedit -wnqI %2 audio.ini SetupInfo SetupPath %1\MSOFTSI replace
	%1\sedit -wnqI %2 audio.ini SetupInfo LastRunFrom %1\MSOFTSI\Audiosim.exe replace
	%1\sedit -wnqI %2 audio.ini SetupInfo MidiEditor RecordingSession replace
	%1\sedit -wnqI %2 audio.ini Audio StartupDirectory %1\MEDVSN\MSOFTRS

	echo [setup]>    %1\diag\install.ini
	echo windir=%2\>>%1\diag\install.ini
	goto quit

 :defwin
	if not exist c:\windows\nul             goto baddefwin
	if not exist c:\windows\win.com         goto baddefwin
	if not exist c:\windows\system\nul      goto baddefwin

	if not exist %1\nul                     goto mk2installdir
	 echo Warning: the directory '%1' exists.
	 echo This program will now abort.
	 echo Delete all files in the '%1' directory, remove the  
	 echo '%1' directory and re-run this batch file.
	 goto exit
	 
 :mk2installdir
	mkdir %1
	if not exist %1\nul                     goto badinstalldir

	echo This program version 2.57 (tdv) will install the Media Vision software into
	echo the directory "%1", then copy the Windows files to C:\WINDOWS.
	echo.
	echo If this is not correct, press CONTROL-C now, else
	pause

 :defwin1
	if exist medvsn.1       goto dodefwin
	echo Please put Disk #1 in the drive...
	pause
	if not exist medvsn.1   
:windir13
	if exist medvsn.1       goto dodefwin
	echo Please copy MANUAL.BAT onto BOTH of the installation disks.
	echo Then change to the floppy drive and run MANUAL.BAT
	echo Press Ctrl-C to exit.
	echo OR
	pause
	if not exist medvsn.1   goto windir13
		   
 :dodefwin
	copy compress.exe %1
	copy SETUP.EXE %1\WINUNINS.EXE 
	copy %2\system\midimap.cfg %2\system\midimap.mvi  

	%1\compress medvsn.1 %1\*.*                             -o -d
	%1\compress medvsn.1 C:\WINDOWS\system\*.*      DLL     -o -d
	%1\compress medvsn.1 C:\WINDOWS\*.*             INI     -o -d
	%1\compress medvsn.1 %1\diag\*.*                DIAG    -o -d
	%1\compress medvsn.1 %1\msoftrs\*.*             MSOFTRS -o -d
	%1\compress medvsn.1 %1\msoftsi\*.*             MSOFTSI -o -d

 :defwin2

	echo Please put Disk #2 in the drive...
	pause
	if not exist medvsn.2   goto defwin2

	%1\compress medvsn.2 %1\*.*                             -o -d
	%1\compress medvsn.2 C:\WINDOWS\system\*.*      DLL     -o -d
	%1\compress medvsn.2 C:\WINDOWS\*.*             INI     -o -d
	%1\compress medvsn.2 %1\diag\*.*                DIAG    -o -d
	%1\compress medvsn.2 %1\msoftrs\*.*             MSOFTRS -o -d
	%1\compress medvsn.2 %1\msoftsi\*.*             MSOFTSI -o -d

	echo Editing CONFIG.SYS and AUTOEXEC.BAT...
	
	echo [common]>> %BDRV%\config.sys 
	%1\sedit -wnC %BDRV%\ config.sys DEVICE=+PROS "%1\PROS.SYS A220 I5 D1 H5 P320 Q2 V" s
	%1\sedit -wqnC %BDRV%\ config.sys DEVICE=+MINI406A "=%1\MINI406A.SYS /IO=230" replace
	%1\sedit -wqnC %BDRV%\ config.sys DEVICE=+CDROM "%1\CDROM.SYS /D:MVCD005" s

	%1\sedit -wnB %BDRV%\ autoexec.bat rem+VBEAI  "rem %1\VBEAI.COM"  modify
	%1\sedit -wqnB %BDRV%\ autoexec.bat set+blaster "SET BLASTER=A220 I5 D1 H5 P320 Q2 T4"  modify
	%1\sedit -wqnB %BDRV%\ autoexec.bat MSCDEX  "%1\MSCDEX.EXE /D:MVCD005 /M:0"  modify
	%1\sedit -wqnB %BDRV%\ autoexec.bat path ";%1" replace 

	echo Completed!
	echo The software has been copied and the system files updated.
	echo CONFIG.SYS and AUTOEXEC.BAT were updated, the previous versions
	echo were saved as CONFIG.### and AUTOEXEC.### (### from 000 to 999),
	echo the largest ### indicating the most recent version.

	echo Editing SYSTEM.INI...

	%1\sedit -wnI  c:\windows system.ini drivers wave mviwave.drv      s
	%1\sedit -wnqI c:\windows system.ini drivers mixer mvi508mx.drv    s
	%1\sedit -wnqI c:\windows system.ini drivers midi mvifm.drv        s
	%1\sedit -wnqI c:\windows system.ini drivers midi1 mvi401.drv    s
	%1\sedit -wnqI c:\windows system.ini 386Enh DEVICE=+vmvid.386 vmvid.386  s
	%1\sedit -wnqI c:\windows system.ini mci cdaudio mcicda.drv        s
	%1\sedit -wnqI c:\windows system.ini 386Enh dmabuffersize 064      s
	%1\sedit -wnqI c:\windows system.ini mviwave.drv   port 220        s
	%1\sedit -wnqI c:\windows system.ini mviwave.drv   int 5   s
	%1\sedit -wnqI c:\windows system.ini mviwave.drv   dmachannel 1    s
	%1\sedit -wnqI c:\windows system.ini mviwave.drv   dmachannel2 5   s
	%1\sedit -wnqI c:\windows system.ini boot drivers "mmsystem.dll msmixmgr.dll mmmixer.dll" s
	%1\sedit -wnqI c:\windows system.ini mvi401.drv int  2     s
	%1\sedit -wnqI c:\windows system.ini mvi401.drv port 320   s
	
	echo Editing AUDIO.INI and MIDISOFT.INI
	
	%1\sedit -wnqI C:\WINDOWS midisoft.ini SetupInfo SE_SetupPath %1\MSOFTRS replace
	%1\sedit -wnqI C:\WINDOWS midisoft.ini SetupInfo SE_LastRunFrom %1\MSOFTRS\Session.exe replace
	%1\sedit -wnqI C:\WINDOWS audio.ini SetupInfo SetupPath %1\MSOFTSI replace
	%1\sedit -wnqI C:\WINDOWS audio.ini SetupInfo LastRunFrom %1\MSOFTSI\Audiosim.exe replace
	%1\sedit -wnqI C:\WINDOWS audio.ini SetupInfo MidiEditor RecordingSession replace
	%1\sedit -wnqI C:\WINDOWS audio.ini Audio StartupDirectory %1\MEDVSN\MSOFTRS

	echo [setup]>            %1\diag\install.ini
	echo windir=C:\WINDOWS\>>%1\diag\install.ini
	goto quit

 :nowin
	 if not exist %1\nul                     goto mk3installdir
	 echo Warning: the directory '%1' exists.
	 echo This program will now abort.
	 echo Delete all files in the '%1' directory, remove the  
	 echo '%1' directory and re-run this batch file.
	 goto exit
	 
 :mk3installdir
	mkdir %1
	if not exist %1\nul                     goto badinstalldir

	echo This program version 2.57 (tdv) will install the Media Vision software into
	echo the directory "%1", but not the Windows files.
	echo.
	echo If this is not correct, press CONTROL-C now, else
	pause

 :nowin1
	if exist medvsn.1       goto donowin
	echo Please put Disk #1 in the drive...
	pause
	if not exist medvsn.1  

:windir14
	if exist medvsn.1       goto donowin
	echo Please copy MANUAL.BAT onto BOTH of the installation disks.
	echo Then change to the floppy drive and run MANUAL.BAT            
	echo Press Ctrl-C to exit.
	echo OR
	pause
	if not exist medvsn.1   goto windir14
 
 :donowin
	copy compress.exe %1

	%1\compress medvsn.1 %1\*.*                     -o -d
	%1\compress medvsn.1 %1\diag\*.*        DIAG    -o -d

 :nowin2

	echo Please put Disk #2 in the drive...
	pause
	if not exist medvsn.2   goto nowin2

	%1\compress medvsn.2 %1\*.*                     -o -d
	%1\compress medvsn.2 %1\diag\*.*        DIAG    -o -d

	echo Editing CONFIG.SYS and AUTOEXEC.BAT...

	echo [common]>> %BDRV%\config.sys 
	%1\sedit -wnC %BDRV%\ config.sys DEVICE=+PROS "%1\PROS.SYS A220 I5 D1 H5 P320 Q2 V" s
	%1\sedit -wqnC %BDRV%\ config.sys DEVICE=+MINI406A "=%1\MINI406A.SYS /IO=230" replace
	%1\sedit -wqnC %BDRV%\ config.sys DEVICE=+CDROM "%1\CDROM.SYS /D:MVCD005" s

	%1\sedit -wnB %BDRV%\ autoexec.bat rem+VBEAI  "rem %1\VBEAI.COM"  modify
	%1\sedit -wqnB %BDRV%\ autoexec.bat set+blaster "SET BLASTER=A220 I5 D1 H5 P320 Q2 T4"  modify
	%1\sedit -wqnB %BDRV%\ autoexec.bat MSCDEX  "%1\MSCDEX.EXE /D:MVCD005 /M:0"  modify
	%1\sedit -wqnB %BDRV%\ autoexec.bat path ";%1" replace

	echo Completed!
	echo The software has been copied and the system files updated.
	echo CONFIG.SYS and AUTOEXEC.BAT were updated, the previous versions
	echo were saved as CONFIG.### and AUTOEXEC.### (### from 000 to 999),
	echo the largest ### indicating the most recent version.

	echo [setup]>   %1\diag\install.ini
	echo windir=.\>>%1\diag\install.ini
	echo [boot]>    %1\diag\system.ini
	goto quit
	
 :badwindir
	echo Sorry, but "%2" is not a valid Windows directory.
	echo A Windows directory should have WIN.COM and the SYSTEM directory.
	goto syntax

 :baddefwin
	echo Sorry, but C:\WINDOWS is not a valid Windows directory.
	echo Run this program using the name of the directory holding Windows."
	goto syntax

:badinstalldir
	echo Error: MANUAL.BAT unable to create the directory '%1'.
	pause
	goto syntax

 :syntax
	echo Syntax: MANUAL [mvdir] [windir] [bootdrv:]
	echo.
	echo [mvdir] = Drive & Directory for Media Vision ie: C:\MEDVSN
	echo [windir] = Drive & Windows directory ie: C:\WINDOWS
	echo [bootdrv:] = Drive where CONFIG.SYS & AUTOEXEC.BAT is located ie: C:
	echo If bootdrive is different then drive C, you must define [windir]
	echo.
	echo Example: install into C:\MEDVSN and C:\WINDOWS and C is bootdrive
	echo   MANUAL c:\medvsn
	echo.
	echo Example: install into C:\BIN\NOISE and C:\WINDOWS and C is bootdrive
	echo   MANUAL c:\bin\noise 
	echo.
	echo Example: install into C:\BIN\NOISE and C:\WINDOWS and D is bootdrive
	echo   MANUAL c:\bin\noise c:\windows d:
	echo.
	echo Example: install into D:\MEDVSN and D:\WINDOWS
	echo   MANUAL d:\medvsn d:\windows
	echo.
	echo Example: install into C:\MEDVSN but not Windows
	echo   MANUAL c:\medvsn -
	echo.
	goto exit
	
 :quit
	del %1\sedit.exe >nul   
	del %1\compress.exe >nul
	smartdrv /c
	echo Creating GROUP.TXT file...(you may want to read it).
	echo If you do not have the Multimedia Tools group in Windows, use the > %1\GROUP.TXT
	echo following steps to complete the installation: >> %1\GROUP.TXT
	echo.  >> %1\GROUP.TXT                                
	echo From within Windows, create  a new group titled MULTIMEDIA TOOLS  >> %1\GROUP.TXT
	echo from the program manager by doing the following: >> %1\GROUP.TXT
	echo.  >> %1\GROUP.TXT
	echo a)  Choose:  FILE >> %1\GROUP.TXT
	echo b)  Choose:  NEW >> %1\GROUP.TXT
	echo c)  Choose:  PROGRAM GROUP (click OK) >> %1\GROUP.TXT
	echo d)  In Description type:  MULTIMEDIA TOOLS (click OK) >> %1\GROUP.TXT
	echo.  >> %1\GROUP.TXT
	echo     NOTE:  perform the next several steps five times. >> %1\GROUP.TXT
	echo.  >> %1\GROUP.TXT
	echo e)  Choose:  FILE  >> %1\GROUP.TXT
	echo f)  Choose:  NEW >> %1\GROUP.TXT
	echo g)  Choose:  PROGRAM ITEM  (click OK) >> %1\GROUP.TXT
	echo h)  Add the multimedia tools to the group by filling in  >> %1\GROUP.TXT
	echo     the following blanks: >> %1\GROUP.TXT
	echo.  >> %1\GROUP.TXT    
	echo Description                RECORDING SESSION >> %1\GROUP.TXT
	echo Command Line               %1\MSOFTRS\SESSION.EXE >> %1\GROUP.TXT
	echo Working Directory          %1\MSOFTRS >> %1\GROUP.TXT
	echo.  >> %1\GROUP.TXT
	echo i)  Click OK >> %1\GROUP.TXT
	echo j)  Repeat the process to add the other tools to the group (go to step e) >> %1\GROUP.TXT
	echo.  >> %1\GROUP.TXT
	echo Description                MIDISOFT SOUND IMPRESSION >> %1\GROUP.TXT
	echo Command Line               %1\MSOFTSI\AUDIOSIM.EXE >> %1\GROUP.TXT
	echo Working Directory          %1\MSOFTSI >> %1\GROUP.TXT
	echo.  >> %1\GROUP.TXT
	echo Description                SOUND IMPRESSION WAVE EDITOR >> %1\GROUP.TXT
	echo Command Line               %1\MSOFTSI\AUDIORED.EXE >> %1\GROUP.TXT
	echo Working Directory          %1\MSOFTSI >> %1\GROUP.TXT
	echo.  >> %1\GROUP.TXT
	echo Description                ON-LINE HELP >> %1\GROUP.TXT
	echo Command Line               %1\111254.HLP >> %1\GROUP.TXT
	echo Working Directory          %1\MSOFTSI >> %1\GROUP.TXT
	echo.  >> %1\GROUP.TXT
	echo Description                MULTIMEDIA UNINSTALL >> %1\GROUP.TXT
	echo Command Line               %1\WINUNINS.EXE /f%1\WINUNINS.INS >> %1\GROUP.TXT
	echo Working Directory          %1 >> %1\GROUP.TXT

	echo The GROUP.TXT has been created!    
	echo.
	echo *********** MANUAL.BAT IS COMPLETED ***********
	echo.
	echo **  Please read the following for additional important information **
	echo.
	echo You may ignore any errors about "Error C101" or "Bad command or file name". 
	echo It is normal to get these errors.
	echo.
	echo MANUAL.BAT has created a filed called "GROUP.TXT" in the %1 directory.  
	echo This file will contain the instructions on how to create the Multimedia Group 
	echo within Windows.  To view GROUP.TXT enter "edit %1\group.txt".
	echo. 
pause
	echo Please note that the following default settings were used:
	echo.
	echo The sound card's Address is: 220.  IRQ is 5.  DMA is 1.  The high DMA is 5.  
	echo MPU401 Address is 320.  MPU401 IRQ is 2. If you know that one of the above 
	echo settings will conflict with another device in your system, you will have to 
	echo edit the following two files:
	echo. 
	echo CONFIG.SYS (change the PROS.SYS line).  
	echo AUTOEXEC.BAT (change the SET BLASTER line). 
	echo.
	echo The CD ROM Interface is using address 230h
	echo.
	echo Please consult the manual or the Online Help (in Windows) for more
	echo information. 
	echo.
	echo Remove the Installation Disk from the floppy drive, and reboot your system 
	echo for the changes to take effect. 
 :exit
 
